
%%%%%%%%%%-----PACKAGES
\usepackage{amsmath}
\usepackage{float}


% tikz package might be used for drawing graphs if needed.
\usepackage{tikz}
\usetikzlibrary{arrows.meta,positioning,matrix}

%%%%%%%%%%-----COLOR_DEFINITIONS (FOR LISTINGS)
\usepackage{color}
\definecolor{sh_comment}{rgb}{0.25, 0.42, 0.30}
\definecolor{sh_keyword}{rgb}{0.37, 0.08, 0.25}
\definecolor{sh_string}{rgb}{0.06, 0.10, 0.98}

%%%%%%%%%%-----COMMANDS
% \newcommand{\code}[1]{\texttt{#1}}
\newcommand{\todo}[1]{TODO: {#1}}

%%%%%%%%%%-----LISTINGS_CONFIGURATION
\usepackage{listings}

% eclipse style listings config
\lstset{captionpos=b,
	numbers=left,
    basicstyle=\ttfamily\scriptsize,
    linewidth=8.5cm,
    stringstyle=\color{sh_string},
	keywordstyle = \color{sh_keyword}\bfseries,
 	commentstyle=\color{sh_comment}\itshape,
    breaklines=true,
    xleftmargin=6.5ex,
    showstringspaces=false,
    tabsize=2,
    morecomment=[l]{//}
}
